Transactions & ReportingStatements

List Statements

GET
/v1/statements

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Query Parameters

internalAccountId?string

Retrieve only statements belonging to this Internal Account.

currency?string

Retrieve only statements with this currency. Specify a three-letter ISO 4217 currency code in full uppercase.

statementDateSince?string

Retrieve only statements with a statement date on or after this date, in the format YYYY-MM-DD.

Formatdate
statementDateUntil?string

Retrieve only statements with a statement date on or before this date, in the format YYYY-MM-DD.

Formatdate
after?string

An object ID used as a cursor in pagination. If a list request returns 100 objects ending with obj_0KSEVXZ2ZF0AV, a subsequent call can include after=obj_0KSEVXZ2ZF0AV to fetch the next page of the list.

limit?integer

A limit on the number of objects to be returned, between 1 and 100.

Formatint32
order?string

Sort list objects in either ascending or descending order.

Value in

  • "ASC"
  • "DESC"

Response Body

*/*

curl -X GET "https://example.com/v1/statements"
{  "data": [    {      "bankAccount": {        "bank": "string",        "bankAccountNumber": "string",        "id": "string"      },      "closingBalance": 0,      "createdAt": "string",      "currency": "string",      "id": "string",      "openingBalance": 0,      "statementDate": "string",      "type": "string",      "updatedAt": "string"    }  ],  "hasMore": true}